<?php

	function domainControl($domain){

		if(substr($domain,-1) == "/"){
			$domain = substr($domain,0,-1);
		}

		if (substr($domain,0,7) == "http://"){
			$domain = substr($domain,7);
		}

		if (substr($domain,0,8) == "https://"){
			$domain = substr($domain,8);
		}

		if(substr($domain,0,4) == "www."){
			$domain = substr($domain,4);
		}

		return $domain;

	}

	function NewChildPanel($user, $domain, $username, $pass, $currency){

		global $db,$cp;

		

		if(!$user || !$domain || !$username || !$pass || !$currency){

			$return = "Lütfen boş alan bırakmayınız.";

		}else{

			
			$userCheck = $db->from('users')->where('user_id', $user)->first();
			$domain = domainControl($domain);

			
			if($userCheck){

				$domainCheck = $db->from('child_panels')->where('panel_domain', $domain)->first();

				if(!$domainCheck){

					$arr = [
						"username" => $username,
						"password" => $pass 
					];

					$add = $db->insert('child_panels')
					->set(array(
						'user_id' => $userCheck['user_id'],
						'panel_domain' => $domain,
						'panel_currency' => $currency,
						'panel_status' => 'Active',
						'panel_price' => $cp->price,
						'panel_created' => date('Y-m-d H:i:s'),
						'panel_detail' => json_encode($arr)
					));
					

					if($add){
						$return = "Siparişiniz başarıyla oluşturulmuştur.";
					}else{
						$return = "Sistem hatası sebebiyle işleminiz gerçekleştirilemedi.";
					}

				}else{

					$return = "Belirtilen domaine ait zaten aktif sipariş bulunuyor.";

				}

			}else{

				$return = "Aktif oturuma ait kullanıcı bulunamadı.";

			}

		}

		return $return;

	}